Push Dataset
POSThttps://api.confident-ai.com/v1/datasets/{alias}
Pushes a list of Goldens or ConversationalGoldens to your dataset.
curl -X POST "https://api.confident-ai.com/v1/datasets/{alias}" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>" \
-H "Content-Type: application/json" \
-d '{
"finalized": true,
"version": "string",
"goldens": [
{
"input": "string",
"actualOutput": "string",
"expectedOutput": "string",
"retrievalContext": [
"string"
],
"context": [
"string"
],
"toolsCalled": [
{
"name": "string",
"description": "string",
"inputParameters": {},
"output": "string",
"reasoning": "string"
}
],
"expectedTools": [
{
"name": "string",
"description": "string",
"inputParameters": {},
"output": "string",
"reasoning": "string"
}
],
"additionalMetadata": {},
"comments": "string",
"sourceFile": "string",
"finalized": true,
"customColumnKeyValues": {}
}
],
"conversationalGoldens": [
{
"scenario": "string",
"userDescription": "string",
"expectedOutcome": "string",
"turns": [
{
"role": "user",
"content": "string",
"userId": "string",
"retrievalContext": [
"string"
],
"toolsCalled": [
{
"name": null,
"description": null,
"inputParameters": null,
"output": null,
"reasoning": null
}
]
}
],
"context": [
"string"
],
"additionalMetadata": {},
"comments": "string",
"sourceFile": "string",
"finalized": true,
"customColumnKeyValues": {}
}
]
}'{
"link": "string"
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
aliasstringRequiredThe unique alias of the dataset.
Request body
finalizedbooleanRequiredDetermines whether goldens are finalized when pushed to the dataset.
versionstringOptional dataset version (e.g.
"00.00.01") to push goldens onto. When the dataset already has versions, omitting this pushes to the latest version. When the dataset has no versions yet, omitting this leaves the goldens unversioned. Specifying aversionon a brand-new dataset alias returns 400.goldenslist of objectsThis is a list of single-turn goldens to push. If you are pushing a multi-turn dataset, this should be
null.Show 12 propertiesHide 12 properties
inputstringRequiredThis is the input to your LLM application.
actualOutputstringThis is the actual output of your LLM application.
expectedOutputstringThis is the expected output of your LLM application, which is the ideal actual output.
retrievalContextlist of stringsThis is the retrieval context of your LLM application.
contextlist of stringsThis is the ideal retrieval context of your LLM application.
toolsCalledlist of objectsThis is the tools called by your LLM application.
Show 5 propertiesHide 5 properties
namestringRequiredThis is the name of the tool.
descriptionstringRequiredThis is the description of the tool.
inputParametersobjectThis is the input parameters that are passed to the tool.
outputstringThis is the output of the tool.
reasoningstringThis is the reasoning your LLM provided for the tool call.
expectedToolslist of objectsThis is the expected tools to be called by the LLM application.
Show 5 propertiesHide 5 properties
namestringRequiredThis is the name of the tool.
descriptionstringRequiredThis is the description of the tool.
inputParametersobjectThis is the input parameters that are passed to the tool.
outputstringThis is the output of the tool.
reasoningstringThis is the reasoning your LLM provided for the tool call.
additionalMetadataobjectThis is any additional metadata you wish to associate with the golden.
commentsstringThis is any comments you wish to associate with the golden.
sourceFilestringThis is the source file from which the golden was retrieved.
finalizedbooleanThis determines whether the golden has been finalized.
customColumnKeyValuesobjectKey-value pairs representing custom table column data for this golden. Keys correspond to the custom column keys defined in the dataset.
conversationalGoldenslist of objectsThis is a list of conversational goldens to push. If you are pushing a single-turn dataset, this should be
null.Show 10 propertiesHide 10 properties
scenariostringRequiredThis is a description of the conversation context.
userDescriptionstringThis is the description of the user in the conversation.
expectedOutcomestringThis describes the expected outcome, or ideal conversation flow, of the conversation.
turnslist of objectsThis is the list of turns in the conversation.
Show 5 propertiesHide 5 properties
roleenumRequiredThe role of the turn, either user or assistant.
Show 2 enum valuesHide 2 enum values
userassistant
contentstringRequiredThe message content of the turn.
userIdstringThe user ID associated with the turn.
retrievalContextlist of stringsThe contexts retrieved to generate the LLM response for this turn.
toolsCalledlist of objectsThe tools called to generate the LLM response for this turn.
Show 5 propertiesHide 5 properties
namestringRequiredThis is the name of the tool.
descriptionstringRequiredThis is the description of the tool.
inputParametersobjectThis is the input parameters that are passed to the tool.
outputstringThis is the output of the tool.
reasoningstringThis is the reasoning your LLM provided for the tool call.
contextlist of stringsThis is the context of the conversation.
additionalMetadataobjectThis is any additional metadata you wish to associate with the golden.
commentsstringThis is any comments you wish to associate with the golden.
sourceFilestringThis is the source file from which the golden was retrieved.
finalizedbooleanThis determines whether the golden has been finalized.
customColumnKeyValuesobjectKey-value pairs representing custom table column data for this golden. Keys correspond to the custom column keys defined in the dataset.
Response
linkstringThis is the URL to the dataset you updated.